// SimpleBorder.java : Variant of awt.Panel that adds a border 
//
// Distributed under the terms described in the LICENCE file.
//
// Taken from an example in the JPython distribution.
//

import java.awt.*;

public class SimpleBorder extends Panel {
    static String __revision__ = "$Id: SimpleBorder.java,v 1.4 2001/12/17 19:33:37 akuchlin Exp $";

    public void paint(Graphics g) {
	Dimension size = this.getSize();
	g.drawRect(0,0, size.width-1, size.height-1);
    }
		
    public Insets getInsets() {
	return new Insets(5,5,5,5);
    }
}

